#!/usr/bin/perl
#####################################################################
# Function: command.pm
#
#
# 概要:
# PG-REX 運用補助ツールで使用するコマンドのパスの宣言の集まり
# 
# 特記事項:
# なし
#
#####################################################################
package include::command;

use warnings;
use strict;

require Exporter;
our @ISA = qw (Exporter);
our @EXPORT = qw ($LS $CAT $SU $RM $PS $GREP $IFCONFIG $PING $READLINK
                  $MV $LN $UNAME $WHOAMI $WHICH $SSH $STTY $SERVICE $CRM $CRM_MON
                  $CRM_ATTRIBUTE $CRM_RESOURCE);

our $LS            = "/bin/ls";
our $CAT           = "/bin/cat";
our $SU            = "/bin/su";
our $RM            = "/bin/rm";
our $PS            = "/bin/ps";
our $GREP          = "/bin/grep";
our $IFCONFIG      = "/sbin/ifconfig";
our $PING          = "/bin/ping";
our $READLINK      = "/bin/readlink";
our $MV            = "/bin/mv";
our $LN            = "/bin/ln";
our $UNAME         = "/bin/uname";
our $WHOAMI        = "/usr/bin/whoami";
our $WHICH         = "/usr/bin/which";
our $SSH           = "/usr/bin/ssh";
our $STTY          = "/bin/stty";
our $SERVICE       = "/sbin/service";
our $CRM           = "/usr/sbin/crm";
our $CRM_MON       = "/usr/sbin/crm_mon";
our $CRM_ATTRIBUTE = "/usr/sbin/crm_attribute";
our $CRM_RESOURCE  = "/usr/sbin/crm_resource";

1;
